Positionable
Keywords: uk.ac.ic.doc.automed.editor.Positionable,Positionable interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Interface Positionable

All Known Implementing Classes:
  Network, Schema, SchemaObject

public interface Positionable

Method Summary
`java.awt.Color` | `getBackgroundColor()`
`java.awt.Color` | `getForegroundColor()`
`java.lang.String` | `getLabel()`
`java.awt.Point` | `getLabelPosition()`
`int` | `getLabelXPos()`
`int` | `getLabelYPos()`
`java.awt.Point` | `getPosition()`
`java.lang.Object` | `getRepObject()`
`java.awt.Color` | `getTextColor()`
`int` | `getXPos()`
`int` | `getYPos()`
`void` | `setBackgroundColor(java.awt.Color c)`
`void` | `setForegroundColor(java.awt.Color c)`
`void` | `setLabel(java.lang.String label)`
`void` | `setLabelPosition(int x, int y)`
`void` | `setLabelXPos(int x)`
`void` | `setLabelYPos(int y)`
`void` | `setPosition(int x, int y)`
`void` | `setTextColor(java.awt.Color c)`
`void` | `setXPos(int x)`
`void` | `setYPos(int y)`

Method Detail

### getXPos

    public int getXPos()

### getYPos

    public int getYPos()

### setXPos

    public void setXPos(int x)
                 throws IntegrityException

    `IntegrityException`

### setYPos

    public void setYPos(int y)
                 throws IntegrityException

    `IntegrityException`

### setPosition

    public void setPosition(int x,
                            int y)
                     throws IntegrityException

    `IntegrityException`

### getPosition

    public java.awt.Point getPosition()

### getLabelXPos

    public int getLabelXPos()

### getLabelYPos

    public int getLabelYPos()

### setLabelXPos

    public void setLabelXPos(int x)
                      throws IntegrityException

    `IntegrityException`

### setLabelYPos

    public void setLabelYPos(int y)
                      throws IntegrityException

    `IntegrityException`

### getLabelPosition

    public java.awt.Point getLabelPosition()

### setLabelPosition

    public void setLabelPosition(int x,
                                 int y)
                          throws IntegrityException

    `IntegrityException`

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getForegroundColor

    public java.awt.Color getForegroundColor()

### setForegroundColor

    public void setForegroundColor(java.awt.Color c)

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color c)

### getTextColor

    public java.awt.Color getTextColor()

### setTextColor

    public void setTextColor(java.awt.Color c)

### getRepObject

    public java.lang.Object getRepObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD